## org.plovr.cli
Enum Command

    java.lang.Object
      java.lang.Enum<Command>
          org.plovr.cli.Command

All Implemented Interfaces:
  Serializable, Comparable<Command>

    public enum Command

extends Enum<Command>

`Command` is the list of commands that the plovr executable takes.

Author:
  bolinfest@gmail.com (Michael Bolin)

Enum Constant Summary
`BUILD`
`EXTRACT_MESSAGES`
`INFO`
`JSDOC`
`SERVE`
`SOYWEB`
`TEST`

Method Summary
`int` `execute(String[] args)`
`static Command` `getCommandForName(String name)`
`String` `toString()`
`static Command` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Command[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SERVE

    public static final Command SERVE

### BUILD

    public static final Command BUILD

### JSDOC

    public static final Command JSDOC

### INFO

    public static final Command INFO

### SOYWEB

    public static final Command SOYWEB

### EXTRACT_MESSAGES

    public static final Command EXTRACT_MESSAGES

### TEST

    public static final Command TEST

Method Detail

### values

    public static Command[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Command c : Command.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Command valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getCommandForName

    public static Command getCommandForName(String name)

### execute

    public int execute(String[] args)
                throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Command>`